iconv(1)

NAMN
iconv — konvertera text från en teckenuppsättning till en annan

SYNOPSIS
iconv [options] [-f from-encoding] [-t to-encoding] [inputfile ...]

BESKRIVNING
Programmet iconv läser in text i en kodning och matar ut texten i en annan kodning. Om inga indatafiler angivits, eller om den är angiven som ett bindestreck (-), läser iconv från standard in. Om ingen utdatafil är angiven skriver iconv till standard ut.

Om ingen från-kodning anges, härleds standardvärdet från den aktuella lokalens teckenkodning. Om ingen to-encoding anges härleds standardvärdet från den aktuella lokalens teckenkodning.

FLAGGOR

--from-code=från-kodning
-f from-encoding
    Använd från-kodning för indatatecken.

--to-code=till-kodning
-t to-encoding
    Använd till-kodning för utdatatecken.

    Om strängen //IGNORE läggs till på till-kodning kastas tecken som inte kan konverteras och ett fel skrivs ut efter konverteringen. (Tecken som inte kan avkodas behandlas som ett fel med eller utan denna flagga.)

    Om strängen //TRANSLIT läggs till på till-kodning translittereras tecken som konverteras vid behov och om möjligt. Detta betyder att när ett tecken inte kan representeras i målteckenuppsättningen kan det approximeras genom ett eller flera snarlika tecken. Tecken som är utanför målteckenuppsättningen och inte kan translittereras ersätts med ett frågetecken (?) i utdata.

--list
-l
    Lista alla kända teckenuppsättningskodningar.

-c  Kasta tecken som inte kan konverteras istället för att avsluta när ett sådant tecken dyker upp. POSIX kräver att denna flagga inte ändrar slutstatusen för programmet.

--output=utdatafil
-o outputfile
    Använd utdatafil för utdata.

--silent
-s
    Denna flagga ignoreras; den finns endast för kompatibilitet.

--verbose
    Skriv förloppsinformation på standard fel vid bearbetning av flera filer.

--help
-?
    Skriv en sammanfattning av användningen och avsluta.

--usage
    Skriv en kort användningssammanfattning och avsluta.

--version
-V
    Skriv versionsnumret, licensen och friskrivning från garanti för iconv.

SLUTSTATUS
Noll om det går bra, nollskilt vid fel.

MILJÖ
Internt använder programmet iconv funktionen iconv(3) vilken i sin tur använder gconv-moduler (dynamiskt laddade delade bibliotek) för att konvertera till och från en teckenuppsättning. Före anrop av iconv(3) måste programmet iconv först allokera en konverteringsbeskrivare med iconv_open(3). Körningen av den senare funktionen påverkas av inställningen av miljövariabeln GCONV_PATH:

•   Om GCONV_PATH inte är satt laddar iconv_open(3) systemets gconv-modulkonfigurationscachefil skapad av iconvconfig(8) och sedan, baserat på konfigurationen, laddar de nödvändiga gconv-modulerna som behövs för att utföra konverteringen. Om systemets gconv-modulkonfigurationscachefil inte är tillgänglig används systemets gconv-modulkonfigurationsfil.

•   Om GCONV_PATH är definierad (som en kolonseparerad lista med sökvägsnamn) används inte systemets gconv-modulkonfigurationscache. Istället försöker iconv_open(3) först att ladda konfigurationsfiler genom att söka i katalogerna i GCONV_PATH i ordning, följt av systemets standard-gconv-modulkonfigurationsfil. Om en katalog inte innehåller gconv-modulkonfigurationsfil ignoreras eventuella gconv-moduler som den katalogen kan innehålla. Om en katalog innehåller en gconv-modulkonfigurationsfil och det visar sig att en modul som behövs för denna konvertering finns tillgänglig i katalogen, då laddas den nödvändiga modulen från den katalogen, ordningen är sådan att den första lämpliga modulen som finns i GCONV_PATH används. Detta gör att användare kan använda anpassade moduler och även ersätta de moduler systemet tillhandahåller genom att tillhandahålla sådana moduler i GCONV_PATH-kataloger.

FILER

/usr/lib/gconv
    Den vanliga standard-gconv-modulsökvägen.

/usr/lib/gconv/gconv-modules
    Den vanliga systemstandarden för gconv-modulkonfigurationsfil.

/usr/lib/gconv/gconv-modules.cache
    Systemets vanliga gconv-modulkonfigurationscache.

Beroende på arkitekture kan ovanstående filer istället finnas i kataloger med sökvägsprefixet /usr/lib64.

STANDARDER
POSIX.1-2008.

HISTORIK
POSIX.1-2001.

EXEMPEL
Convert text from the ISO/IEC 8859-15 character encoding to UTF-8:

    $ iconv -f ISO-8859-15 -t UTF-8 < indata.txt > utdata.txt;

Nästa exempel konverterar från UTF-8 till ASCII, med translitterering där det är möjligt:

    $ echo abc ß α € àḃç | iconv -f UTF-8 -t ASCII//TRANSLIT;
    abc ss ? EUR abc

SE ÄVEN
locale(1), uconv(1), iconv(3), nl_langinfo(3), charsets(7), iconvconfig(8)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.